/* junkie - gui ftp client
 * Copyright (c) 2002-2003, Gunnsteinn Hall, Joel Thomas, Martin Faxer
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of the
 *    contributors may be used to endorse or promote products derived from
 *    this software without specific prior written permission.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT
 *  HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 *  TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/*
 * $Id: dnd.h,v 1.2 2003/02/24 15:51:10 thepin Exp $
 */

#ifndef DND_H
#define DND_H

#define DRAG_TAR_NAME_0    "text/plain"
#define DRAG_TAR_INFO_0    0
#define DRAG_TAR_NAME_1    "text/uri-list" 
#define DRAG_TAR_INFO_1    1
#define DRAG_TAR_NAME_2    "STRING"
#define DRAG_TAR_INFO_2    2

/* prototypes*/
void gui_dnd_setup(GtkWidget *);
void dnd_select_row(GtkTreeModel *, GtkTreeIter *);
void dnd_begin_cb(GtkWidget *, GdkDragContext *, gpointer);
void dnd_end_cb(GtkWidget *, GdkDragContext *, gpointer);
gboolean dnd_dragmotion_cb(GtkWidget *, GdkDragContext *, 
			   gint, gint, guint, gpointer);
void dnd_datarequest_cb(GtkWidget *, GdkDragContext *, GtkSelectionData *,
			guint, guint, gpointer);
void dnd_datareceived_cb(GtkWidget *, GdkDragContext *, gint, gint,
			 GtkSelectionData *, guint, guint, gpointer);
void dnd_datadelete_cb(GtkWidget *, GdkDragContext *, gpointer);

#endif
