/* junkie - gui ftp client
 * Copyright (c) 2002-2003, Gunnsteinn Hall, Joel Thomas, Martin Faxer
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of the
 *    contributors may be used to endorse or promote products derived from
 *    this software without specific prior written permission.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT
 *  HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 *  TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/*
 * $Id: ftp_event_callback.h,v 1.13 2003/02/24 15:51:13 thepin Exp $
 */


#ifndef _FTP_EVENT_CALLBACK_H
#define _FTP_EVENT_CALLBACK_H
#include <ftp.h>
#include <ftp_object.h>

#if !(__GNUC__ > 2 || (__GNUC__ == 2 && __GNUC_MINOR__ > 4))
#define __attribute__
#endif


#define FTP_CB_CMD(x) void x(_ftp_item *ftp, \
		int code   __attribute__((unused)),  \
		int status __attribute__((unused)),  \
		char *cmd  __attribute__((unused)),  \
		char *args __attribute__((unused)),  \
		char *resp __attribute__((unused)),  \
		ftp_object **obj)
#define FTP_EVENT_CB_CMD(x)                           \
		int x(_ftp_item *ftp __attribute__((unused)), \
			int code         __attribute__((unused)), \
			int status       __attribute__((unused)), \
			char *cmd        __attribute__((unused)), \
			char *args       __attribute__((unused)), \
			char *resp       __attribute__((unused)), \
			ftp_object **obj __attribute__((unused)))

/* function prototypes. */
FTP_EVENT_CB_CMD(ftp_event_callback_cwd);
FTP_EVENT_CB_CMD(ftp_event_callback_pwd);
FTP_EVENT_CB_CMD(ftp_event_callback_list);
FTP_EVENT_CB_CMD(ftp_event_callback_pass);
void ftp_event_callback_pasv_lookup_cb(int, int, void *);
FTP_EVENT_CB_CMD(ftp_event_callback_pasv);
FTP_EVENT_CB_CMD(ftp_event_callback_port);
#ifdef IPV6
FTP_EVENT_CB_CMD(ftp_event_callback_epsv);
/* use ftp_event_callback_port for eprt */
#endif
FTP_EVENT_CB_CMD(ftp_event_callback_retr);
FTP_EVENT_CB_CMD(ftp_event_callback_stor);
#endif
FTP_EVENT_CB_CMD(ftp_event_irrupt_disconnect);
