/* junkie - gui ftp client
 * Copyright (c) 2002-2003, Gunnsteinn Hall, Joel Thomas, Martin Faxer
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of the
 *    contributors may be used to endorse or promote products derived from
 *    this software without specific prior written permission.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT
 *  HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 *  TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/*
 * $Id: gui_toolkit.h,v 1.16 2003/02/24 15:51:38 thepin Exp $
 */


#ifndef _GUI_TOOLKIT_H
#define _GUI_TOOLKIT_H

#include <gtk/gtk.h>
/* local headers */
#include <gui_theme.h>

GtkWidget * gui_new_pixmap(GtkWidget *, const char **);
void gui_refresh_all(void);
void gui_refresh_all_forced(void);
void gui_refresh_local_forced(void);
void gui_refresh_remote_forced(void);
void gui_local_refresh(void);
void gui_remote_refresh(void);
void gui_disconnect(void);
void gui_menubar_setup(GtkWidget *);
void gui_button_pixmap_set(GtkButton*, gpointer);
void gui_widget_destroy_cb(GtkWidget *, gpointer);
GtkWidget *gui_create_arrow_button(GtkArrowType arrow_type, GtkShadowType shadow_type);
void gui_connect_button_set(const char *, const char *, const char **);
void gui_connect_button_set_disconnect();
void gui_connect_button_set_connect();
void gui_connect_update_button();
#endif
