/* junkie - gui ftp client
 * Copyright (c) 2002-2003, Gunnsteinn Hall, Joel Thomas, Martin Faxer
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of the
 *    contributors may be used to endorse or promote products derived from
 *    this software without specific prior written permission.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT
 *  HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 *  TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/*
 * $Id: gui_treestore.h,v 1.8 2003/02/24 15:51:39 thepin Exp $
 */

#ifndef _GUI_TREESTORE_H
#define _GUI_TREESTORE_H

#include <misc.h>
#include <gui_dnd.h>
#include <gui_dnd_tview.h>

#define GUI_TREESTORE_ITEM  0
#define GUI_TREESTORE_GROUP 1

/*
typedef struct t_record {
   int type;
   struct t_record *next;
   struct t_record *child;
   struct t_record *parent;
   // other members not directly accessed by this func
} t_tree;
*/

void * gui_treestore_get_list(GtkTreeModel *model);
void * gui_treestore_get_list_from_dndrow(void *, dnd_row *);
void * gui_treestore_get_list_row(GtkTreeModel *model, dnd_row *dnd);
void * gui_treestore_get_list_from_selection(GtkTreeView *tree);
void * gui_treestore_get_list_from_path(GtkTreeView *, GtkTreePath *);

GtkTreeIter gui_treestore_append_model(GtkTreeModel *model, void *list, gchar *p, 
                                     cb callback);
GtkTreeIter gui_treestore_append(GtkTreeView *tree, void *list, gchar *p, 
                                     cb callback);
void	gui_treestore_append_list_model(GtkTreeModel *, void *, gchar *);
void	gui_treestore_append_list(GtkTreeView *, void *, gchar *);


void   gui_treestore_remove(GtkTreeView *, GtkTreePath *);
void   gui_treestore_remove_list(GtkTreeView *, GtkTreePath *, cb);

void   gui_treestore_move(GtkTreeView *, cb, 
                          void *, void *, GtkTreePath *, GtkTreePath *);
void   gui_treestore_move_rowref(GtkTreeView *, cb,
                                 GtkTreeRowReference *,
                                 GtkTreeRowReference *,
                                 GtkTreeRowReference *,
                                 int);

void   gui_treestore_fill(GtkTreeModel *model, void *list, GtkTreeIter *, cb);
#endif
