/* junkie - gui ftp client
 * Copyright (c) 2002-2003, Gunnsteinn Hall, Joel Thomas, Martin Faxer
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of the
 *    contributors may be used to endorse or promote products derived from
 *    this software without specific prior written permission.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT
 *  HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 *  TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/*
 * $Id: gui_tview_popup.h,v 1.6 2003/02/24 15:51:40 thepin Exp $
 */

#ifndef _GUI_POPUP_TVIEW_H
#define _GUI_POPUP_TVIEW_H


GtkWidget *gui_tview_popup_init_remote(GtkWidget *);
GtkWidget *gui_tview_popup_init_local(GtkWidget *);
void gui_tview_popup_download(GtkWidget *, gpointer);
void gui_popup_download(GtkTreeModel *, GtkTreePath *, GtkTreeIter, gpointer);
void gui_tview_popup_delete(GtkWidget *, gpointer);
void gui_tview_popup_add_queue(GtkWidget *, gpointer);
void gui_tview_popup_edit_fly(GtkWidget *, gpointer);
void gui_tview_popup_view_fly(GtkWidget *, gpointer);
void gui_tview_popup_mkdir(GtkWidget *, gpointer);
void gui_popup_mkdir_local(GtkWidget *, GtkEntry *);
void gui_popup_mkdir_remote(GtkWidget *, GtkEntry *);
void gui_tview_popup_rename(GtkWidget *, gpointer);
void gui_popup_chmod(GtkWidget *, int);
void gui_tview_popup_chmod(GtkWidget *, gpointer);
GtkWidget *gui_popup_chmod_box(int, GtkWidget **, t_toggle **, int *, int *, int *);
void gui_popup_chmod_cb(GtkTreeModel *, GtkTreePath  *, GtkTreeIter  *, int);
void gui_popup_edit_fly(GtkTreeModel *, GtkTreePath *, GtkTreeIter, gpointer);
void gui_popup_edit_fly_done(GIOChannel *, GIOCondition, char **);
void gui_popup_view_fly(GtkTreeModel *, GtkTreePath *, GtkTreeIter, gpointer);
void gui_popup_delete(GtkTreeModel *, GtkTreePath *, GtkTreeIter, gpointer);
gint gui_tview_cell_edited(GtkCellRendererText *, gchar *, gchar *, gpointer);
void gui_popup_rename(GtkTreeModel *, GtkTreePath *, GtkTreeIter, gpointer);
void gui_popup_add_queue(GtkTreeModel *, GtkTreePath *, GtkTreeIter, gpointer);
void gui_tview_popup_raw(GtkWidget *, GtkWidget *);
void gui_tview_hidden(GtkWidget *, GtkWidget *);
FTP_CB_CMD(gui_popup_edit_fly_pending);
FTP_CB_CMD(gui_popup_view_fly_done);
void gui_tview_popup_update_local(GtkWidget *);
void gui_tview_popup_update_remote(GtkWidget *);
void gui_tview_popup_play(GtkWidget *, GtkTreeView *);

#endif
