/*
 * libjamp - converted amp by .. to a library to use with junkie. 
 * jamp.h - defines basic structures..
 */

#ifndef _LIB_JAMP_H
#define _LIB_JAMP_H

#include <stdio.h>
#define BUFFER_SIZE     4096
#define BUFFER_AUX      2048

typedef struct {
	int rate;
	int channels;
} amp_info;

typedef struct {
	FILE *file;
	amp_info info;
	int append;		/* ex- global for amp. */
	int data;		/* ex-globalfor amp. */
	int f_bdirty;
	int bclean_bytes;

	/* getbits.h stuff */
	unsigned char buffer[BUFFER_SIZE+BUFFER_AUX];
	unsigned char _buffer[32];
	int _bptr;
	/* misc2.h stuff */
	int no_of_imdcts[2];
	/* huffman.h */
	int non_zero[2]; /* this is 2*bigvalues+4*count1, i guess...*/
	/* getdata.h */
	int intensity_scale;
	int is_max[21]; /* the maximum value of is_pos. for short blocks is_max[sfb=0] == is_max[6],
		   	 * it's sloppy but i'm sick of waisting storage. blaah...
			 */

	/* transform.h */
	short sample_buffer[18][32][2];
	float s[2][32][18];
	float res[32][18];
	/* audio.h */

	int scalefac_l[2][2][22];
	int scalefac_s[2][2][13][3];

	int is[2][578];
	float xr[2][32][18];

	int *t_l,*t_s;
} amp_file;



void play_audio(amp_file *jamp);
void jamp_setup();
int jamp_open(FILE *f, amp_file *jamp);
// int jamp_read(amp_file *jamp, char *buf, int length);
char *jamp_read(amp_file *, int *);
int jamp_set_channels(amp_file *jamp, int chans);
int jamp_get_channels(amp_file *jamp);
int jamp_set_append(amp_file *jamp, int append);
int jamp_get_append(amp_file *jamp);
int jamp_get_dirty(amp_file *jamp);
int jamp_set_dirty(amp_file *jamp, int bdirty);
int jamp_get_bclean_bytes(amp_file *jamp);
int jamp_set_bclean_bytes(amp_file *jamp, int bclean);
int write_audio(amp_file *jamp, char *buf);

#endif


